function y=poussee(u);

% Variable d'entre u
%  u(1)=VR
%  u(2)=beta
%  u(3)=Z
%  u(4)=X
%  u(5)=t


Z=u(3);t=u(5);

% Cette fonction dtaille l'volution de la pousse au cours du vol

% t est le temps de la chronologie, avec dcollage  7 secondes
% Z est l'altitude  donner en mtres.

% ***********  ETAGE CENTRAL CRYOTECHNIQUE EPC  ***********

MP_EPC=170240;
MT_EPC=182000; 
MS_EPC=MT_EPC-MP_EPC;
ISP_EPC_VIDE=431.2*9.81; % ISP_EPC_SOL=312.62*9.81;
TC_EPC=532;
poussee_EPC_vide=1354e3;
% Dbit EPC
q_EPC=MP_EPC*2/(TC_EPC+(TC_EPC-7)); % Donc 321.5 kg/s 
% Pousse
poussee_EPC_vide=1354e3;poussee_EPC_sol=946e3;

% ****************** FIN EPC ****************************
% *************** EAP, PAR UNITE  ***********************

MP_EAP=237000;
MT_EAP=270000;
MS_EAP=MT_EAP-MP_EAP;
ISP_EPC_VIDE=310.5*9.81;
ISP_EPC_SOL=260*9.81;
TC_EAP=130;
Temps_montee=40;
% poussee_EAP_sol=5300e3;  % en Newtons
% Dbit EAP
q_EAP=237000*2/(115+130); % Soit 1934.7 kg/s
poussee_EAP_sol=5100e3;  % en Newtons ATTENTION


% ******************  FIN EAP  *************************

% ************** ETAGE VINCI NOUVEAU *****************

MP_VINCI=25000;
MS_VINCI=0.116*MP_VINCI;
MT_VINCI=MP_VINCI+MS_VINCI;
ISP_VINCI_VIDE=466*9.81;
TC_VINCI=750;
q_VINCI=MP_VINCI/TC_VINCI; % 33.333 kg/s
poussee_VINCI=152.4e3;

% *******************  FIN VINCI  ***********************


F_EPC=poussee_EPC_vide-(poussee_EPC_vide-poussee_EPC_sol)*pression(Z)/pression(0);
F_EAP=poussee_EAP_sol;
F_VINCI=poussee_VINCI;

if t>=0 & t<7,  % Le lanceur est maintenu au sol
 F=0;
end
% Fonctionnement en parallle des EAP (pleine pousse durant 115 s) et de l'EPC
if t>=7 & t<=122, 
 F=F_EPC+2*F_EAP;
end
% Fonctionnement en queue de pousse EAP, durant 15 secondes
if t>=122 & t<=137,
 F=F_EPC-2*F_EAP*(t-137)/15;
end
% Reste l'EPC seul jusqu' son extinction
if t>137 & t<=532,
 F=F_EPC;
end
% Phase intertages
if t>532 & t<=549,
 F=0;
end
% Fonctionnement VINCI seul jusqu' l'injection
if t>549 & t<=1299,
 F=F_VINCI;
end
% Ergols puiss
if t>1299,
 F=0;
end

y=F;


% **************** FIN PROGRAMME  ************ AU POINT *****
