function y=pertes(u);


% ******************************************************************
% u est la variable d'entre  5 composantes:
%  u(1)=VR
%  u(2)=gam
%  u(3)=Z
%  u(4)=beta
%  u(5)=L
% u(6)=lamb
% u(7)=tps

% En sortie y est le vecteur (5-1) des drives

% ********************************************************************
% *****************   CALCULS INTERMEDIAIRES  **********************

VR=u(1);gam=u(2);beta=u(3);Z=u(4);tps=u(7);

% Pousse,  l'aide de la fonction y=poussee(t)

F=poussee(u);

% Masse,  l'aide de la fonction y=masse(t)

M=masse(tps);

% Assiette de monte teta,  l'aide de la fonction y=assiette(t)

teta=assiette(u);

% Gravitation, rotation terre

G=39.86e13/(6378000+Z)^2;
wT=2*pi/86164;
VT=wT*(6378000+Z);
r=6378000+Z;

% Trane, avec la fonction y=trainee(VR,CX,Z);

RX=trainee(u);

% ******************************************************************
% ************** DERIVEES DU SYSTEME DIFFERENTIEL ******************

% PROPULSION IDEALE SANS PERTES

 d1=F/M;

% PERTES PAR PILOTAGE ( Delta et incidence)

 d2=F/M*(1-cos(teta-gam));

% PERTES PAR PESANTEUR

d3=(G-wT*VT)*sin(gam);

% PERTES PAR TRAINEE

d4=RX/M;

% **********************  FIN DES DERIVEES  ************************

y=[d1;d2;d3;d4];

end

% ********************  FIN  FIN   FIN   FIN   *********************