function y=stop_hel(u);

% Cette fonction calcule l'apoge et arrte le moteur EPS quand l'orbite est proche
% de la circulaire  822 km avec la bonne inclinaison.

%  u(1)=VR   vitesse relative
%  u(2)=gam  pente relative
%  u(3)=beta azimut relatif
%  u(4)= Z   rayon vecteur 
%  u(5)= L   longitude terrestre
%  u(6)= lamb   latitude terrestre 
%  u(7)= t   temps de vol ou temps machine

  VR=u(1);gam=u(2);beta=u(3);Z=u(4);lamb=u(6);VT=2*pi/86164*(6378000+Z)*cos(lamb);tps=u(7);

  R=6378000+Z;
  muT=39.86e13;

 % CALCUL DE L'AZIMUT ABSOLU beta0 en fonction des valeurs relatives calcules

  beta0=atan(tan(beta)+VT/VR/cos(gam)/cos(beta));

 % CALCUL DE VA vitesse absolue

  Va=VR*cos(gam)*cos(beta)/cos(beta0);

 % CALCUL PENTE ABSOLUE gam0

 gam0=asin(VR*sin(gam)/Va);

 % CALCUL EXCENTRICITE 

   % K cste des aires
   K=Va*R*cos(gam0);
   % ENERGIE  E
   E=0.5*Va^2-39.86e13/R;
   % EXCENTRICITE
   exc=(1+2*E*K^2/muT^2)^0.5;

 % CALCUL APOGEE-PERIGEE
   a=-muT/2/E;
   Ra=a*(1+exc);
   Rp=a*(1-exc);

 % CALCUL INCLINAISON absolue
   incl=acos(cos(lamb)*sin(beta0));
   
% TEST DE REUSSITE si Da<50000 mtres et erreur de 05 max sur inclinaison DI<0.5
  
 test=abs(a-7200000)<50000 & (Ra>=7200000) & ((incl*180/pi-98.7))<0.2;

 y=test;

end

% *************************  FIN PROGRAMME   ****************
