function y=arian5(u);

% PROGRAMME DE VOL HELIOCENTRIQUE VERS 822  KM ---->  Simulation  heli_sim.m
%
% SANS CONTROLE EN AZIMUT
%
% AVEC TEST DE COUPURE DU MOTEUR EPS
%
% MASSE UTILE DE 9800 kg

% ******************************************************************
% u est la variable d'entre  7 composantes:

%  u(1)=VR   vitesse relative
%  u(2)=gam  pente relative
%  u(3)=beta azimut relatif
%  u(4)= Z   rayon vecteur 
%  u(5)= L   longitude terrestre
%  u(6)= lamb   latitude terrestre 
%  u(7)= t   temps de vol ou temps machine

% En sortie y est le vecteur (6-1) des drives d1 ....d6

% ********************************************************************
% *****************   CALCULS INTERMEDIAIRES  **********************

VR=u(1);gam=u(2);beta=u(3);Z=u(4);L=u(5);lamb=u(6);tps=u(7);

% Pousse,  l'aide de la fonction y=poussee(t)

F=poussee(u);

% Masse,  l'aide de la fonction y=masse(t)

M=masse(tps);

% Assiette de monte teta,  l'aide de la fonction y=assiette(t)

teta=assiette(u);

% Gravitation, rotation terre

G=39.86e13/(6378000+Z)^2;
wT=2*pi/86164;
VT=wT*(6378000+Z);
r=6378000+Z;

% Trane, avec la fonction y=trainee(VR,CX,Z);

RX=trainee(u);

% ******************************************************************
% ************** DERIVEES DU SYSTEME DIFFERENTIEL ******************

% Variable 1 --> VR
 d1=F/M*cos(teta-gam)-(G-wT^2*r*cos(lamb)*cos(lamb))*sin(gam)-RX/M-wT^2*r*cos(lamb)*sin(lamb)*cos(gam)*cos(beta);

% Variable 2 --> gam
if tps<=20,
 d2=0;
else
 d2=(F/M*sin(teta-gam)-G*cos(gam))/VR+2*wT*cos(lamb)*sin(beta)+VR*cos(gam)/r;
 d2=d2+wT*wT*cos(lamb)*r/VR*(cos(gam)*cos(lamb)+sin(gam)*sin(lamb)*cos(beta));
end

% Variable 3 --> beta l'azimut

if tps<=20,
 d3=0;
else
 d3=VR*cos(gam)/r*tan(lamb)*sin(beta)+2*wT*(sin(lamb)-cos(lamb)*cos(beta)*tan(gam));
 d3=d3+wT^2*cos(lamb)*r/VR*cos(lamb)*sin(lamb)*sin(beta);
end

% Variable 4 --> Z

 d4=VR*sin(gam);

% Variable 5 --> L longitude

if tps<=20,
 d5=0;
else
 d5=VR*cos(gam)*sin(beta)/r/cos(lamb);
end

% Variable 6 --> lamb latitude

if tps<=20,
 d6=0;
end
if tps>20
 d6=VR*cos(gam)*cos(beta)/r;
end

end

% **********************  FIN DES DERIVEES  ************************

controle=0;  % Programme sans contrle en azimut

y=[d1;d2;d3;d4;d5;d6;controle];


end

% ********************  FIN  FIN   FIN   FIN   *********************